Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class MeetingStatus

    java.lang.Object
      com.compoze.collab.EnumElement
          com.compoze.collab.exchange.MeetingStatus

All Implemented Interfaces:
  java.lang.Comparable, com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class MeetingStatus
extends EnumElement
implements java.io.Serializable

This class is used to represent the status of an appointment. Appointments can be standalone entries, or organized meetings. The element class for the `MeetingStatusEnum` enumeration.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.compoze.collab.EnumElement
`m_iValue, m_sStr, m_value`

Constructor Summary
`protected` | `MeetingStatus(java.lang.Class enumClass, com.compoze.collab.resource.ResourceBundleWrapper rb, com.compoze.collab.resource.ResourceKey rk, int iValue, float fSortValue, java.lang.String sStr)` Constructor.

Methods inherited from class com.compoze.collab.EnumElement
`compareTo, equals, getDisplayName, getEnumeration, getIntegerValue, getIntValue, getString, isDefault, readResolve, toString, updateDigest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeetingStatus

    protected MeetingStatus(java.lang.Class enumClass,
                            com.compoze.collab.resource.ResourceBundleWrapper rb,
                            com.compoze.collab.resource.ResourceKey rk,
                            int iValue,
                            float fSortValue,
                            java.lang.String sStr)

  Constructor. Used for extendability of this element class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.